Debian Bug report logs - #533565
linux-image-2.6.30-1-686: ATA bus error messages for PATA_SCH module

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: kushalkoolwal@gmail.com

Date: Thu, 18 Jun 2009 20:36:02 UTC

Owned by: kushalkoolwal@gmail.com

Severity: normal

Tags: moreinfo

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-image-2.6.30-1-686. (Thu, 18 Jun 2009 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Jun 2009 20:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.30-1-686: ATA bus error messages for PATA_SCH module
Date: Thu, 18 Jun 2009 05:15:42 -0700
Package: linux-image-2.6.30-1-686
Version: 2.6.30-1
Severity: normal

 am using Debian 5.0 with 2.6.30 kernel. I see the following messages during kernel boot. Here is the relevant dmesg output:

[ 4.368333] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[ 4.368424] ata1.00: BMDMA stat 0x24
[ 4.368511] ata1.00: cmd c8/00:80:59:0d:4c/00:00:00:00:00/e2 tag 0 dma 65536 in
[ 4.368515] res 51/84:00:d8:0d:4c/00:00:00:00:00/e2 Emask 0x10 (ATA bus error)
[ 4.368715] ata1.00: status: { DRDY ERR }
[ 4.368790] ata1.00: error: { ICRC ABRT }
[ 4.368892] ata1: soft resetting link
[ 4.553143] ata1.00: configured for UDMA/100
[ 4.553231] ata1: EH complete
[ 4.567926] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[ 4.568024] ata1.00: BMDMA stat 0x24
[ 4.568119] ata1.00: cmd c8/00:80:59:0d:4c/00:00:00:00:00/e2 tag 0 dma 65536 in
[ 4.568122] res 51/84:00:d8:0d:4c/00:00:00:00:00/e2 Emask 0x10 (ATA bus error)
[ 4.568323] ata1.00: status: { DRDY ERR }
[ 4.568398] ata1.00: error: { ICRC ABRT }
[ 4.568493] ata1: soft resetting link
[ 4.753342] ata1.00: configured for UDMA/100
[ 4.753427] ata1: EH complete

and 3-4 more exact repetitions of the above messages.

I just have a single IDE drive attached and the IDE driver that is loaded is:
CONFIG_PATA_SCH.

What does the above error message mean? Also I see these error messages on all
 the recent kernels - 2.6.26, 2.6.28, 2.6.29 and 2.6.30.

Please let me know if you need output of additional things.

-- Package-specific info:
** Version:
Linux version 2.6.30-1-686 (Debian 2.6.30-1) (waldi@debian.org) (gcc version 4.3.3 (Debian 4.3.3-11) ) #1 SMP Sun Jun 14 16:11:32 UTC 2009

** Command line:
root=/dev/sda1 ro quiet

** Not tainted

** Kernel log:
[    4.759319] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    4.759387] ata1.00: BMDMA stat 0x24
[    4.759456] ata1.00: cmd c8/00:20:9f:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    4.759460]          res 51/84:00:be:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    4.759589] ata1.00: status: { DRDY ERR }
[    4.759666] ata1.00: error: { ICRC ABRT }
[    4.759762] ata1: soft resetting link
[    4.928451] ata1.00: configured for UDMA/100
[    4.928476] ata1: EH complete
[    4.933670] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    4.933758] ata1.00: BMDMA stat 0x24
[    4.933846] ata1.00: cmd c8/00:20:9f:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    4.933850]          res 51/84:00:be:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    4.934052] ata1.00: status: { DRDY ERR }
[    4.934128] ata1.00: error: { ICRC ABRT }
[    4.934224] ata1: soft resetting link
[    5.104446] ata1.00: configured for UDMA/100
[    5.104470] ata1: EH complete
[    5.108031] ata1.00: limiting speed to UDMA/66:PIO4
[    5.108041] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    5.108139] ata1.00: BMDMA stat 0x24
[    5.108227] ata1.00: cmd c8/00:20:9f:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    5.108231]          res 51/84:00:be:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    5.108433] ata1.00: status: { DRDY ERR }
[    5.108509] ata1.00: error: { ICRC ABRT }
[    5.108605] ata1: soft resetting link
[    5.280433] ata1.00: configured for UDMA/66
[    5.280449] ata1: EH complete
[    5.304192] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    5.304280] ata1.00: BMDMA stat 0x24
[    5.304368] ata1.00: cmd c8/00:20:bf:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    5.304372]          res 51/84:00:de:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    5.304574] ata1.00: status: { DRDY ERR }
[    5.304650] ata1.00: error: { ICRC ABRT }
[    5.304748] ata1: soft resetting link
[    5.476450] ata1.00: configured for UDMA/66
[    5.476471] ata1: EH complete
[    5.481870] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    5.481958] ata1.00: BMDMA stat 0x24
[    5.482045] ata1.00: cmd c8/00:20:bf:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    5.482049]          res 51/84:00:de:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    5.482251] ata1.00: status: { DRDY ERR }
[    5.482327] ata1.00: error: { ICRC ABRT }
[    5.482423] ata1: soft resetting link
[    5.652447] ata1.00: configured for UDMA/66
[    5.652462] ata1: EH complete
[    5.656215] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    5.656299] ata1.00: BMDMA stat 0x24
[    5.656386] ata1.00: cmd c8/00:20:bf:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    5.656390]          res 51/84:00:de:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    5.656591] ata1.00: status: { DRDY ERR }
[    5.656667] ata1.00: error: { ICRC ABRT }
[    5.656762] ata1: soft resetting link
[    5.828433] ata1.00: configured for UDMA/66
[    5.828454] ata1: EH complete
[    5.830561] ata1.00: limiting speed to UDMA/33:PIO4
[    5.830570] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
[    5.830656] ata1.00: BMDMA stat 0x24
[    5.830743] ata1.00: cmd c8/00:20:bf:4a:56/00:00:00:00:00/e1 tag 0 dma 16384 in
[    5.830746]          res 51/84:00:de:4a:56/00:00:00:00:00/e1 Emask 0x10 (ATA bus error)
[    5.830948] ata1.00: status: { DRDY ERR }
[    5.831024] ata1.00: error: { ICRC ABRT }
[    5.831120] ata1: soft resetting link
[    6.000448] ata1.00: configured for UDMA/33
[    6.000472] ata1: EH complete
[    7.490657] udevd version 125 started
[    9.583755] input: PC Speaker as /devices/platform/pcspkr/input/input3
[    9.960379] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   10.119907] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   11.099935] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   11.100001] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   12.208329] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
[   12.208441] ACPI: Power Button [PWRF]
[   12.208460] ACPI Error (evxfevnt-0193): Could not enable PowerButton event [20090320]
[   12.208477] ACPI Warning (evxface-0146): Could not enable fixed event 2 [20090320]
[   12.233278] button: probe of LNXPWRBN:00 failed with error -22
[   12.233505] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input5
[   12.233620] ACPI: Power Button [PWRB]
[   12.386933] Marking TSC unstable due to TSC halts in idle
[   12.387255] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[   12.387352] processor ACPI_CPU:00: registered as cooling_device0
[   12.387369] ACPI: Processor [CPU0] (supports 8 throttling states)
[   12.388196] ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
[   12.388265] processor ACPI_CPU:01: registered as cooling_device1
[   12.388280] ACPI: Processor [CPU1] (supports 8 throttling states)
[   13.480584] udev: renamed network interface eth0 to eth1
[   13.767830] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input6
[   13.777164] input: HDA Intel MID Line In at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/input/input7
[   13.777469] input: HDA Intel MID Mic at Ext Front Jack as /devices/pci0000:00/0000:00:1b.0/input/input8
[   13.777731] input: HDA Intel MID Mic at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/input/input9
[   13.777997] input: HDA Intel MID Line Out at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/input/input10
[   13.778266] input: HDA Intel MID HP Out at Ext Front Jack as /devices/pci0000:00/0000:00:1b.0/input/input11
[   15.760078] Clocksource tsc unstable (delta = -64379510 ns)
[   17.481459] EXT3 FS on sda1, internal journal
[   18.298677] loop: module loaded
[   20.098392] ADDRCONF(NETDEV_UP): eth1: link is not ready
[   21.917006] e1000e: eth1 NIC Link is Up 100 Mbps Half Duplex, Flow Control: None
[   21.917098] 0000:03:00.0: eth1: 10/100 speed: disabling TSO
[   21.917335] ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[   32.636015] eth1: no IPv6 routers present

** Loaded modules:
Module                  Size  Used by
loop                   13316  0 
snd_hda_codec_idt      49840  1 
video                  17980  0 
output                  2604  1 video
psmouse                37528  0 
processor              34476  2 
button                  5060  0 
i2c_isch                3804  0 
serio_raw               4556  0 
i2c_core               20840  1 i2c_isch
snd_hda_intel          22192  0 
evdev                   8028  0 
snd_hda_codec          63520  2 snd_hda_codec_idt,snd_hda_intel
snd_hwdep               6104  1 snd_hda_codec
snd_pcm                62364  2 snd_hda_intel,snd_hda_codec
snd_seq                42436  0 
snd_timer              17436  2 snd_pcm,snd_seq
snd_seq_device          6136  1 snd_seq
shpchp                 26648  0 
pci_hotplug            24400  1 shpchp
snd                    49040  8 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
pcspkr                  2104  0 
soundcore               6184  1 snd
snd_page_alloc          8180  2 snd_hda_intel,snd_pcm
ext3                  107180  1 
jbd                    41040  1 ext3
mbcache                 6924  1 ext3
usbhid                 31544  0 
hid                    34516  1 usbhid
sd_mod                 28748  2 
crc_t10dif              1632  1 sd_mod
ide_pci_generic         3632  0 
ide_core               88100  1 ide_pci_generic
ata_generic             4340  0 
pata_sch                3184  1 
e1000e                 98352  0 
libata                150624  2 ata_generic,pata_sch
uhci_hcd               19140  0 
ehci_hcd               29660  0 
scsi_mod              131604  2 sd_mod,libata
usbcore               125872  4 usbhid,uhci_hcd,ehci_hcd
thermal                12572  0 
fan                     4040  0 
thermal_sys            13128  4 video,processor,thermal,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation System Controller Hub (SCH Poulsbo) [8086:8100] (rev 07)
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller [8086:8108] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at dfe80000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at ec88 [size=8]
	Region 2: Memory at d0000000 (32-bit, non-prefetchable) [size=128M]
	Region 3: Memory at dfe60000 (32-bit, non-prefetchable) [size=128K]
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [b0] Vendor Specific Information <?>

00:1a.0 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB Client Controller [8086:8118] (rev 07) (prog-if 80 [Unspecified])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at dfe5b000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1b.0 Audio device [0403]: Intel Corporation System Controller Hub (SCH Poulsbo) HD Audio Controller [8086:811b] (rev 07)
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at dfe5c000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM L0s Enabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
		Address: 00000000  Data: 0000
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 1 [8086:8110] (rev 07) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=05, sec-latency=0
	I/O behind bridge: 0000f000-0000ffff
	Memory behind bridge: dff00000-dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <64ns, L1 <4us
			ClockPM+ Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  1, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [90] Subsystem: Intel Corporation Device [8086:8119]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #1 [8086:8114] (rev 07) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at eca0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #2 [8086:8115] (rev 07) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at ecc0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #3 [8086:8116] (rev 07) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at ece0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB EHCI #1 [8086:8117] (rev 07) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at dfe5ac00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1f.0 ISA bridge [0601]: Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge [8086:8119] (rev 07)
	Subsystem: Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge [8086:8119]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: isch_smbus
	Kernel modules: i2c-isch

00:1f.1 IDE interface [0101]: Intel Corporation System Controller Hub (SCH Poulsbo) IDE Controller [8086:811a] (rev 07) (prog-if 80 [Master])
	Subsystem: Intel Corporation Device [8086:8119]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at ec90 [size=16]
	Kernel driver in use: pata_sch
	Kernel modules: pata_sch

01:00.0 PCI bridge [0604]: Texas Instruments Device [104c:8232] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=02, subordinate=05, sec-latency=0
	I/O behind bridge: 0000f000-0000ffff
	Memory behind bridge: dff00000-dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0300c  Data: 4161
	Capabilities: [80] Subsystem: Gammagraphx, Inc. (or missing ID) Device [0000:0000]
	Capabilities: [90] Express (v1) Upstream Port, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-SlotPowerLimit 0.000000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 <1us, L1 <16us
			ClockPM+ Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Kernel modules: shpchp

02:00.0 PCI bridge [0604]: Texas Instruments Device [104c:8233] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=02, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000f000-0000ffff
	Memory behind bridge: dff00000-dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=55mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0300c  Data: 4169
	Capabilities: [80] Subsystem: Gammagraphx, Inc. (or missing ID) Device [0000:0000]
	Capabilities: [90] Express (v1) Downstream Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <16us
			ClockPM+ Suprise+ LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
	Kernel modules: shpchp

02:01.0 PCI bridge [0604]: Texas Instruments Device [104c:8233] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=02, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=55mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0300c  Data: 4171
	Capabilities: [80] Subsystem: Gammagraphx, Inc. (or missing ID) Device [0000:0000]
	Capabilities: [90] Express (v1) Downstream Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #2, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <16us
			ClockPM+ Suprise+ LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Kernel modules: shpchp

02:02.0 PCI bridge [0604]: Texas Instruments Device [104c:8233] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=02, secondary=05, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=55mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [70] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0300c  Data: 4179
	Capabilities: [80] Subsystem: Gammagraphx, Inc. (or missing ID) Device [0000:0000]
	Capabilities: [90] Express (v1) Downstream Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #3, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <16us
			ClockPM+ Suprise+ LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Kernel modules: shpchp

03:00.0 Ethernet controller [0200]: Intel Corporation 82574L Gigabit Network Connection [8086:10d3]
	Subsystem: Intel Corporation Device [8086:0000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at dffc0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at dff00000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at fce0 [size=32]
	Region 3: Memory at dfff8000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at dff80000 [disabled] [size=256K]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <64us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [a0] MSI-X: Enable+ Mask- TabSize=5
		Vector table: BAR=3 offset=00000000
		PBA: BAR=3 offset=00002000
	Kernel driver in use: e1000e
	Kernel modules: e1000e



-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.30-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.30-1-686 recommends:
ii  libc6-i686                    2.7-18     GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.30-1-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.30           <none>        (no description available)

-- debconf information:
  linux-image-2.6.30-1-686/preinst/lilo-has-ramdisk:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.30-1-686/postinst/old-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/create-kimage-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-2.6.30-1-686: false
  linux-image-2.6.30-1-686/postinst/old-system-map-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/prerm/would-invalidate-boot-loader-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/overwriting-modules-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/lilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/old-dir-initrd-link-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/failed-to-move-modules-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-test-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/abort-install-2.6.30-1-686:
  linux-image-2.6.30-1-686/postinst/bootloader-error-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/initrd-2.6.30-1-686:
  linux-image-2.6.30-1-686/prerm/removing-running-kernel-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.30-1-686/preinst/abort-overwrite-2.6.30-1-686:
  linux-image-2.6.30-1-686/preinst/elilo-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/preinst/bootloader-initrd-2.6.30-1-686: true
  linux-image-2.6.30-1-686/postinst/depmod-error-initrd-2.6.30-1-686: false




Bug reassigned from package 'linux-image-2.6.30-1-686' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.30-1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:36:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-2.6. (Fri, 29 Jan 2010 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Jan 2010 22:48:03 GMT) Full text and rfc822 format available.

Message #14 received at 533565@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 533565@bugs.debian.org
Subject: Re: linux-image-2.6.30-1-686: ATA bus error messages for PATA_SCH module
Date: Fri, 29 Jan 2010 23:44:50 +0100
On Thu, Jun 18, 2009 at 05:15:42AM -0700, Kushal Koolwal wrote:
> Package: linux-image-2.6.30-1-686
> Version: 2.6.30-1
> Severity: normal
> 
>  am using Debian 5.0 with 2.6.30 kernel. I see the following messages during kernel boot. Here is the relevant dmesg output:
> 
> [ 4.368333] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
> [ 4.368424] ata1.00: BMDMA stat 0x24
> [ 4.368511] ata1.00: cmd c8/00:80:59:0d:4c/00:00:00:00:00/e2 tag 0 dma 65536 in
> [ 4.368515] res 51/84:00:d8:0d:4c/00:00:00:00:00/e2 Emask 0x10 (ATA bus error)
> [ 4.368715] ata1.00: status: { DRDY ERR }
> [ 4.368790] ata1.00: error: { ICRC ABRT }
> [ 4.368892] ata1: soft resetting link
> [ 4.553143] ata1.00: configured for UDMA/100
> [ 4.553231] ata1: EH complete
> [ 4.567926] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
> [ 4.568024] ata1.00: BMDMA stat 0x24
> [ 4.568119] ata1.00: cmd c8/00:80:59:0d:4c/00:00:00:00:00/e2 tag 0 dma 65536 in
> [ 4.568122] res 51/84:00:d8:0d:4c/00:00:00:00:00/e2 Emask 0x10 (ATA bus error)
> [ 4.568323] ata1.00: status: { DRDY ERR }
> [ 4.568398] ata1.00: error: { ICRC ABRT }
> [ 4.568493] ata1: soft resetting link
> [ 4.753342] ata1.00: configured for UDMA/100
> [ 4.753427] ata1: EH complete
> 
> and 3-4 more exact repetitions of the above messages.
> 
> I just have a single IDE drive attached and the IDE driver that is loaded is:
> CONFIG_PATA_SCH.
> 
> What does the above error message mean? Also I see these error messages on all
>  the recent kernels - 2.6.26, 2.6.28, 2.6.29 and 2.6.30.
> 
> Please let me know if you need output of additional things.

Hi,
The next release of Debian (6.0, code name Squeeze) will be based
on 2.6.32. Please test the current 2.6.32 from unstable/testing and tell
us whether the problem persists. If so, we should report it upstream
to the kernel.org developers.

The 2.6.32 kernel is available from packages.debian.org and can
be installed in both Debian stable, testing and unstable
installations.

Thanks,
        Moritz




Added tag(s) moreinfo. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 17:18:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-2.6. (Mon, 28 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #21 received at 533565@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@gmail.com>
To: 533565@bugs.debian.org
Subject: Occurs on 2.6.37
Date: Mon, 28 Feb 2011 14:48:48 -0800
I have verified that this issue still occurs on the latest stable
kernel (2.6.37)
from kernel.org and obviously on Debian Squeeze too.

What would it take to report this bug upstream?

Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-2.6. (Mon, 28 Feb 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Feb 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #26 received at 533565@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Kushal Koolwal <kushalkoolwal@gmail.com>
Cc: 533565@bugs.debian.org
Subject: Re: linux-2.6: ATA bus error messages for PATA_SCH module
Date: Mon, 28 Feb 2011 16:57:58 -0600
Kushal Koolwal wrote:

> I have verified that this issue still occurs on the latest stable
> kernel (2.6.37)
> from kernel.org and obviously on Debian Squeeze too.

Hmm, so it's not a regression (i.e., no old kernel version without the
problem exists)?

> What would it take to report this bug upstream?

That's a good idea.  The short answer is: send a mail to
<linux-ide@vger.kernel.org> and if it's a regression then cc
<linux-kernel@vger.kernel.org> and Mikael Pettersson <mikpe@it.uu.se>.

See http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=REPORTING-BUGS;hb=HEAD
for more hints.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-2.6. (Tue, 01 Mar 2011 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 01 Mar 2011 00:54:03 GMT) Full text and rfc822 format available.

Message #31 received at 533565@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@gmail.com>
To: 533565@bugs.debian.org
Subject: Kernel boot parameter fixes this problem
Date: Mon, 28 Feb 2011 16:50:38 -0800
It seems that upon passing the kernel boot parameter
"libata.force=40c" solves the problem. Should I still report this
upstream?

Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#533565; Package linux-2.6. (Tue, 01 Mar 2011 01:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 01 Mar 2011 01:18:03 GMT) Full text and rfc822 format available.

Message #36 received at 533565@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Kushal Koolwal <kushalkoolwal@gmail.com>
Cc: 533565@bugs.debian.org
Subject: Re: linux-2.6: ATA bus error messages for PATA_SCH module
Date: Mon, 28 Feb 2011 19:16:31 -0600
Kushal Koolwal wrote:

> It seems that upon passing the kernel boot parameter
> "libata.force=40c" solves the problem. Should I still report this
> upstream?

I would.  Maybe the message could be tweaked or some documentation
under Documentation/ added to explain when the cable type needs to
be forced, or maybe this situation can be autodetected?

Thanks.
Jonathan




Changed Bug submitter to 'kushalkoolwal@gmail.com' from 'Kushal Koolwal <kushalkoolwal@hotmail.com>' Request was from Kushal Koolwal <kushalkoolwal@gmail.com> to control@bugs.debian.org. (Tue, 01 Mar 2011 23:30:03 GMT) Full text and rfc822 format available.

Owner recorded as kushalkoolwal@gmail.com. Request was from Kushal Koolwal <kushalkoolwal@gmail.com> to control@bugs.debian.org. (Tue, 01 Mar 2011 23:30:04 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sun, 23 Jun 2013 14:13:21 GMT) Full text and rfc822 format available.

Notification sent to kushalkoolwal@gmail.com:
Bug acknowledged by developer. (Sun, 23 Jun 2013 14:13:21 GMT) Full text and rfc822 format available.

Message #45 received at 533565-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 528595-done@bugs.debian.org, 529750-done@bugs.debian.org, 531217-done@bugs.debian.org, 531275-done@bugs.debian.org, 531718-done@bugs.debian.org, 531780-done@bugs.debian.org, 533493-done@bugs.debian.org, 533565-done@bugs.debian.org
Subject: Closing
Date: Sun, 23 Jun 2013 16:09:12 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Jul 2013 07:32:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:49:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.